%YAML 1.1
---
gfVersion: v1.0
class: workflow

# metadata
name: assembly-spades-gf
description: Basic de novo assembly for small genomes using Spades
documentation_uri: 
repo_uri: 'https://gitlab.com/geneflow/workflows/assembly-spades-workflow-gf.git'
version: '0.3'
username: JYao

final_output:
- assembly

# inputs
inputs:
  for:
    label: forward read
    description: forward read
    type: File
    default: /input/sample_R1.fastq.gz
    enable: true
    visible: true

  rev:
    label: reverse read
    description: reverse read
    type: File
    default: /input/sample_R2.fastq.gz
    enable: true
    visible: true

# parameters
parameters:
   output:
    label: Output directory
    description: Output directory
    type: Directory
    default: output
    enable: true
    visible: true

# steps
steps:
  assembly:
    app: apps/spades-assembly-3.13.0-gf-0.2/app.yaml
    depend: [ ]
    template:
      input: '{workflow->for}'
      pair: '{workflow->rev}'
      output: '{workflow->output}'
...
